### Hierarchy

- EventEmitter
  - SMTPTransport

### Implements

- Transport

## Index

### Interfaces

- AuthenticationTypeLogin
- AuthenticationTypeOAuth2
- MailOptions
- Options
- SentMessageInfo

### Type aliases

- AuthenticationType

### Constructors

- constructor

### Properties

- auth
- logger
- mailer
- name
- options
- version
- defaultMaxListeners

### Methods

- addListener
- close
- emit
- eventNames
- getAuth
- getMaxListeners
- getSocket
- listenerCount
- listeners
- off
- on
- once
- prependListener
- prependOnceListener
- rawListeners
- removeAllListeners
- removeListener
- send
- setMaxListeners
- verify
- listenerCount

## Type aliases

### Static AuthenticationType

AuthenticationType: AuthenticationTypeLogin | AuthenticationTypeOAuth2

- Defined in node_modules/@types/nodemailer/lib/smtp-transport.d.ts:30

## Constructors

### constructor

- new SMTPTransport(options: Options | string): SMTPTransport

- - Defined in node_modules/@types/nodemailer/lib/smtp-transport.d.ts:60

  #### Parameters

  - ##### options: Options | string

  #### Returns SMTPTransport

## Properties

### auth

auth: AuthenticationType

- Defined in node_modules/@types/nodemailer/lib/smtp-transport.d.ts:60

### logger

logger: Logger

- Defined in node_modules/@types/nodemailer/lib/smtp-transport.d.ts:55

### mailer

mailer: Mail

Implementation of Transport.mailer

- Defined in node_modules/@types/nodemailer/lib/smtp-transport.d.ts:54

### name

name: string

Implementation of Transport.name

- Defined in node_modules/@types/nodemailer/lib/smtp-transport.d.ts:57

### options

options: Options

- Defined in node_modules/@types/nodemailer/lib/smtp-transport.d.ts:52

### version

version: string

Implementation of Transport.version

- Defined in node_modules/@types/nodemailer/lib/smtp-transport.d.ts:58

### Static defaultMaxListeners

defaultMaxListeners: number

Inherited from EventEmitter.defaultMaxListeners

- Defined in node_modules/@types/node/events.d.ts:8

## Methods

### addListener

- addListener(event: string | symbol, listener: function): this

- Inherited from EventEmitter.addListener

  Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/events.d.ts:10

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### close

- close(): void

- Implementation of Transport.close

  - Defined in node_modules/@types/nodemailer/lib/smtp-transport.d.ts:77

  Releases resources

  #### Returns void

### emit

- emit(event: string | symbol, ...args: any[]): boolean

- Inherited from EventEmitter.emit

  Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/events.d.ts:22

  #### Parameters

  - ##### event: string | symbol

  - ##### Rest ...args: any[]

  #### Returns boolean

### eventNames

- eventNames(): Array<string | symbol>

- Inherited from EventEmitter.eventNames

  Overrides EventEmitter.eventNames

  - Defined in node_modules/@types/node/events.d.ts:23

  #### Returns Array<string | symbol>

### getAuth

- getAuth(authOpts: AuthenticationTypeLogin | AuthenticationTypeOAuth2): AuthenticationType

- - Defined in node_modules/@types/nodemailer/lib/smtp-transport.d.ts:67

  #### Parameters

  - ##### authOpts: AuthenticationTypeLogin | AuthenticationTypeOAuth2

  #### Returns AuthenticationType

### getMaxListeners

- getMaxListeners(): number

- Inherited from EventEmitter.getMaxListeners

  Overrides EventEmitter.getMaxListeners

  - Defined in node_modules/@types/node/events.d.ts:19

  #### Returns number

### getSocket

- getSocket(options: Options, callback: function): void

- - Defined in node_modules/@types/nodemailer/lib/smtp-transport.d.ts:65

  Placeholder function for creating proxy sockets. This method immediatelly returns without a socket

  #### Parameters

  - ##### options: Options

  - ##### callback: function

    - - (err: Error | null, socketOptions: object): void

      - #### Parameters

        - ##### err: Error | null

        - ##### socketOptions: object

        #### Returns void

### listenerCount

- listenerCount(type: string | symbol): number

- Inherited from EventEmitter.listenerCount

  Overrides EventEmitter.listenerCount

  - Defined in node_modules/@types/node/events.d.ts:24

  #### Parameters

  - ##### type: string | symbol

  #### Returns number

### listeners

- listeners(event: string | symbol): Function[]

- Inherited from EventEmitter.listeners

  Overrides EventEmitter.listeners

  - Defined in node_modules/@types/node/events.d.ts:20

  #### Parameters

  - ##### event: string | symbol

  #### Returns Function[]

### off

- off(event: string | symbol, listener: function): this

- Inherited from EventEmitter.off

  Overrides EventEmitter.off

  - Defined in node_modules/@types/node/events.d.ts:16

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### on

- on(event: string | symbol, listener: function): this

- Inherited from EventEmitter.on

  Overrides EventEmitter.on

  - Defined in node_modules/@types/node/events.d.ts:11

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### once

- once(event: string | symbol, listener: function): this

- Inherited from EventEmitter.once

  Overrides EventEmitter.once

  - Defined in node_modules/@types/node/events.d.ts:12

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### prependListener

- prependListener(event: string | symbol, listener: function): this

- Inherited from EventEmitter.prependListener

  Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/events.d.ts:13

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### prependOnceListener

- prependOnceListener(event: string | symbol, listener: function): this

- Inherited from EventEmitter.prependOnceListener

  Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/events.d.ts:14

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### rawListeners

- rawListeners(event: string | symbol): Function[]

- Inherited from EventEmitter.rawListeners

  Overrides EventEmitter.rawListeners

  - Defined in node_modules/@types/node/events.d.ts:21

  #### Parameters

  - ##### event: string | symbol

  #### Returns Function[]

### removeAllListeners

- removeAllListeners(event?: string | symbol): this

- Inherited from EventEmitter.removeAllListeners

  Overrides EventEmitter.removeAllListeners

  - Defined in node_modules/@types/node/events.d.ts:17

  #### Parameters

  - ##### Optional event: string | symbol

  #### Returns this

### removeListener

- removeListener(event: string | symbol, listener: function): this

- Inherited from EventEmitter.removeListener

  Overrides EventEmitter.removeListener

  - Defined in node_modules/@types/node/events.d.ts:15

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### send

- send(mail: MailMessage, callback: function): void

- - Defined in node_modules/@types/nodemailer/lib/smtp-transport.d.ts:70

  Sends an e-mail using the selected settings

  #### Parameters

  - ##### mail: MailMessage

  - ##### callback: function

    - - (err: Error | null, info: SentMessageInfo): void

      - #### Parameters

        - ##### err: Error | null

        - ##### info: SentMessageInfo

        #### Returns void

### setMaxListeners

- setMaxListeners(n: number): this

- Inherited from EventEmitter.setMaxListeners

  Overrides EventEmitter.setMaxListeners

  - Defined in node_modules/@types/node/events.d.ts:18

  #### Parameters

  - ##### n: number

  #### Returns this

### verify

- verify(callback: function): void
- verify(): Promise<true>

- - Defined in node_modules/@types/nodemailer/lib/smtp-transport.d.ts:73

  Verifies SMTP configuration

  #### Parameters

  - ##### callback: function

    - - (err: Error | null, success: true): void

      - #### Parameters

        - ##### err: Error | null

        - ##### success: true

        #### Returns void

- Implementation of Transport.verify

  - Defined in node_modules/@types/nodemailer/lib/smtp-transport.d.ts:74

  #### Returns Promise<true>

### Static listenerCount

- listenerCount(emitter: EventEmitter, event: string | symbol): number

- Inherited from EventEmitter.listenerCount

  - Defined in node_modules/@types/node/events.d.ts:7
  deprecated

    since v4.0.0

  #### Parameters

  - ##### emitter: EventEmitter

  - ##### event: string | symbol

  #### Returns number

Generated using TypeDoc